com.h3c.of.lib

## Interface MutableStructure

- All Superinterfaces:
    MutableObject, Structure
  All Known Implementing Classes:
    InstrMutableAction, InstrMutableApplyActions, InstrMutableWriteActions, MBodyFlowStats.MutableArray, MBodyGroupDescStats.MutableArray, MBodyGroupStats.MutableArray, MBodyMeterConfig.MutableArray, MBodyMeterStats.MutableArray, MBodyMutableDesc, MBodyMutableExperimenter, MBodyMutableFlowStats, MBodyMutableFlowStatsRequest, MBodyMutableGroupDescStats, MBodyMutableGroupFeatures, MBodyMutableGroupStats, MBodyMutableGroupStatsRequest, MBodyMutableMeterConfig, MBodyMutableMeterConfigRequest, MBodyMutableMeterFeatures, MBodyMutableMeterRequest, MBodyMutableMeterStats, MBodyMutableMeterStatsRequest, MBodyMutablePortStats, MBodyMutablePortStatsRequest, MBodyMutableQueueStats, MBodyMutableQueueStatsRequest, MBodyMutableTableFeatures, MBodyMutableTableStats, MBodyPortDesc.MutableArray, MBodyPortStats.MutableArray, MBodyQueueStats.MutableArray, MBodyTableFeatures.MutableArray, MBodyTableStats.MutableArray, MutableBucket, MutableMatch, MutablePort, MutableQueue

      public interface MutableStructure
      extends MutableObject, Structure

  Implemented by OpenFlow structure classes that provide mutators for setting the state of the structure.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpenflowStructure` | `toImmutable()` Returns an immutable instance of this structure.

    - ### Methods inherited from interface com.h3c.of.lib.MutableObject

      `writable`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion, toDebugString`

- - ### Method Detail

    - #### toImmutable

          OpenflowStructure toImmutable()

      Returns an immutable instance of this structure. In essence, converts this structure to be read-only.

      It is expected that the reference to this mutable structure will be dropped. Note that all method calls invoked on a `MutableStructure` after `toImmutable()` has been invoked will result in an `InvalidMutableException` being thrown.

      Returns:
        an immutable instance of this structure.
      Throws:
        `InvalidMutableException` - if this structure is no longer writable

Copyright © 2014. All Rights Reserved.